Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.teletrust
Interface TeleTrusTObjectIdentifiers

public interface TeleTrusTObjectIdentifiers

Object identifiers based on the TeleTrust branch. TeleTrusT: { iso(1) identifier-organization(3) teleTrust(36) algorithm(3)

Field Summary
`static ASN1ObjectIdentifier` | `brainpoolP160r1` 1.3.36.3.3.2.8.1.1.1
`static ASN1ObjectIdentifier` | `brainpoolP160t1` 1.3.36.3.3.2.8.1.1.2
`static ASN1ObjectIdentifier` | `brainpoolP192r1` 1.3.36.3.3.2.8.1.1.3
`static ASN1ObjectIdentifier` | `brainpoolP192t1` 1.3.36.3.3.2.8.1.1.4
`static ASN1ObjectIdentifier` | `brainpoolP224r1` 1.3.36.3.3.2.8.1.1.5
`static ASN1ObjectIdentifier` | `brainpoolP224t1` 1.3.36.3.3.2.8.1.1.6
`static ASN1ObjectIdentifier` | `brainpoolP256r1` 1.3.36.3.3.2.8.1.1.7
`static ASN1ObjectIdentifier` | `brainpoolP256t1` 1.3.36.3.3.2.8.1.1.8
`static ASN1ObjectIdentifier` | `brainpoolP320r1` 1.3.36.3.3.2.8.1.1.9
`static ASN1ObjectIdentifier` | `brainpoolP320t1` 1.3.36.3.3.2.8.1.1.10
`static ASN1ObjectIdentifier` | `brainpoolP384r1` 1.3.36.3.3.2.8.1.1.11
`static ASN1ObjectIdentifier` | `brainpoolP384t1` 1.3.36.3.3.2.8.1.1.12
`static ASN1ObjectIdentifier` | `brainpoolP512r1` 1.3.36.3.3.2.8.1.1.13
`static ASN1ObjectIdentifier` | `brainpoolP512t1` 1.3.36.3.3.2.8.1.1.14
`static ASN1ObjectIdentifier` | `ecc_brainpool` 1.3.36.3.3.2.8
`static ASN1ObjectIdentifier` | `ecSign` 1.3.36.3.3.2
`static ASN1ObjectIdentifier` | `ecSignWithRipemd160` 1.3.36.3.3.2.2
`static ASN1ObjectIdentifier` | `ecSignWithSha1` 1.3.36.3.3.2,1
`static ASN1ObjectIdentifier` | `ellipticCurve` 1.3.36.3.3.2.8.1
`static ASN1ObjectIdentifier` | `ripemd128` 1.3.36.3.2.2
`static ASN1ObjectIdentifier` | `ripemd160` 1.3.36.3.2.1
`static ASN1ObjectIdentifier` | `ripemd256` 1.3.36.3.2.3
`static ASN1ObjectIdentifier` | `rsaSignatureWithripemd128` 1.3.36.3.3.1.3
`static ASN1ObjectIdentifier` | `rsaSignatureWithripemd160` 1.3.36.3.3.1.2
`static ASN1ObjectIdentifier` | `rsaSignatureWithripemd256` 1.3.36.3.3.1.4
`static ASN1ObjectIdentifier` | `teleTrusTAlgorithm` 1.3.36.3
`static ASN1ObjectIdentifier` | `teleTrusTRSAsignatureAlgorithm` 1.3.36.3.3.1
`static ASN1ObjectIdentifier` | `versionOne` 1.3.36.3.3.2.8.1.1

Field Detail

### teleTrusTAlgorithm

    public static final ASN1ObjectIdentifier teleTrusTAlgorithm

  1.3.36.3

### ripemd160

    public static final ASN1ObjectIdentifier ripemd160

  1.3.36.3.2.1

### ripemd128

    public static final ASN1ObjectIdentifier ripemd128

  1.3.36.3.2.2

### ripemd256

    public static final ASN1ObjectIdentifier ripemd256

  1.3.36.3.2.3

### teleTrusTRSAsignatureAlgorithm

    public static final ASN1ObjectIdentifier teleTrusTRSAsignatureAlgorithm

  1.3.36.3.3.1

### rsaSignatureWithripemd160

    public static final ASN1ObjectIdentifier rsaSignatureWithripemd160

  1.3.36.3.3.1.2

### rsaSignatureWithripemd128

    public static final ASN1ObjectIdentifier rsaSignatureWithripemd128

  1.3.36.3.3.1.3

### rsaSignatureWithripemd256

    public static final ASN1ObjectIdentifier rsaSignatureWithripemd256

  1.3.36.3.3.1.4

### ecSign

    public static final ASN1ObjectIdentifier ecSign

  1.3.36.3.3.2

### ecSignWithSha1

    public static final ASN1ObjectIdentifier ecSignWithSha1

  1.3.36.3.3.2,1

### ecSignWithRipemd160

    public static final ASN1ObjectIdentifier ecSignWithRipemd160

  1.3.36.3.3.2.2

### ecc_brainpool

    public static final ASN1ObjectIdentifier ecc_brainpool

  1.3.36.3.3.2.8

### ellipticCurve

    public static final ASN1ObjectIdentifier ellipticCurve

  1.3.36.3.3.2.8.1

### versionOne

    public static final ASN1ObjectIdentifier versionOne

  1.3.36.3.3.2.8.1.1

### brainpoolP160r1

    public static final ASN1ObjectIdentifier brainpoolP160r1

  1.3.36.3.3.2.8.1.1.1

### brainpoolP160t1

    public static final ASN1ObjectIdentifier brainpoolP160t1

  1.3.36.3.3.2.8.1.1.2

### brainpoolP192r1

    public static final ASN1ObjectIdentifier brainpoolP192r1

  1.3.36.3.3.2.8.1.1.3

### brainpoolP192t1

    public static final ASN1ObjectIdentifier brainpoolP192t1

  1.3.36.3.3.2.8.1.1.4

### brainpoolP224r1

    public static final ASN1ObjectIdentifier brainpoolP224r1

  1.3.36.3.3.2.8.1.1.5

### brainpoolP224t1

    public static final ASN1ObjectIdentifier brainpoolP224t1

  1.3.36.3.3.2.8.1.1.6

### brainpoolP256r1

    public static final ASN1ObjectIdentifier brainpoolP256r1

  1.3.36.3.3.2.8.1.1.7

### brainpoolP256t1

    public static final ASN1ObjectIdentifier brainpoolP256t1

  1.3.36.3.3.2.8.1.1.8

### brainpoolP320r1

    public static final ASN1ObjectIdentifier brainpoolP320r1

  1.3.36.3.3.2.8.1.1.9

### brainpoolP320t1

    public static final ASN1ObjectIdentifier brainpoolP320t1

  1.3.36.3.3.2.8.1.1.10

### brainpoolP384r1

    public static final ASN1ObjectIdentifier brainpoolP384r1

  1.3.36.3.3.2.8.1.1.11

### brainpoolP384t1

    public static final ASN1ObjectIdentifier brainpoolP384t1

  1.3.36.3.3.2.8.1.1.12

### brainpoolP512r1

    public static final ASN1ObjectIdentifier brainpoolP512r1

  1.3.36.3.3.2.8.1.1.13

### brainpoolP512t1

    public static final ASN1ObjectIdentifier brainpoolP512t1

  1.3.36.3.3.2.8.1.1.14

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD